Bug 1209532 - [abrt] mock: mockchain:250:main:OSError: [Errno 1] Operation not permitted: '/var/tmp/taskotron-mockchain'
Summary: [abrt] mock: mockchain:250:main:OSError: [Errno 1] Operation not permitted: '...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: mock
Version: 21
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Miroslav Suchý
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:28077cdf0740b4ae38c66d0f29c...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-04-07 15:08 UTC by Kamil Páral
Modified: 2015-06-20 21:13 UTC (History)
6 users (show)

Fixed In Version: mock-1.2.10-1.el7
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-05-01 16:51:22 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (923 bytes, text/plain)
2015-04-07 15:08 UTC, Kamil Páral
no flags Details
File: environ (3.80 KB, text/plain)
2015-04-07 15:08 UTC, Kamil Páral
no flags Details

Description Kamil Páral 2015-04-07 15:08:39 UTC
Description of problem:
The fact that the directory can't be chmoded doesn't mean it can't be used. I have an existing directory owned by root, but it has sufficient permissions to be used.

Version-Release number of selected component:
mock-1.2.7-1.fc21

Additional info:
reporter:       libreport-2.3.0
cmdline:        /usr/bin/python -tt /usr/bin/mockchain -r fedora-21-x86_64 -a https://copr-be.cloud.fedoraproject.org/results/tflink/taskotron/fedora-21-x86_64 libtaskotron-0.3.13-1.fc21.src.rpm -l /var/tmp/taskotron-mockchain
executable:     /usr/bin/mockchain
kernel:         3.19.3-200.fc21.x86_64
runlevel:       N 5
type:           Python
uid:            1000

Truncated backtrace:
mockchain:250:main:OSError: [Errno 1] Operation not permitted: '/var/tmp/taskotron-mockchain'

Traceback (most recent call last):
  File "/usr/bin/mockchain", line 391, in <module>
    sys.exit(main(sys.argv))
  File "/usr/bin/mockchain", line 250, in main
    os.chmod(local_tmp_dir, 0o755)
OSError: [Errno 1] Operation not permitted: '/var/tmp/taskotron-mockchain'

Local variables in innermost frame:
local_tmp_dir: '/var/tmp/taskotron-mockchain'
cfg: 'fedora-21-x86_64'
args: ['/usr/bin/mockchain', 'libtaskotron-0.3.13-1.fc21.src.rpm']
pid: 7449
pkgs: ['libtaskotron-0.3.13-1.fc21.src.rpm']
opts: <Values at 0x7f7268e484d0: {'mock_option': [], 'chroot': 'fedora-21-x86_64', 'cont': False, 'localrepo': '/var/tmp/taskotron-mockchain', 'repos': ['https://copr-be.cloud.fedoraproject.org/results/tflink/taskotron/fedora-21-x86_64'], 'recurse': False, 'tmp_prefix': 'kparal', 'uniqueext': 'kparal-7449', 'logfile': None}>

Comment 1 Kamil Páral 2015-04-07 15:08:43 UTC
Created attachment 1011825 [details]
File: backtrace

Comment 2 Kamil Páral 2015-04-07 15:08:44 UTC
Created attachment 1011826 [details]
File: environ

Comment 3 Miroslav Suchý 2015-04-10 14:34:55 UTC
Fixed in 
* 56b8f3c  chmod directory only if we really created it [RHBZ#1209532]

Comment 4 Kamil Páral 2015-04-10 15:30:33 UTC
Thanks!

Comment 5 Fedora Update System 2015-04-29 13:17:02 UTC
mock-1.2.8-1.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/mock-1.2.8-1.fc22

Comment 6 Fedora Update System 2015-04-29 13:17:26 UTC
mock-1.2.8-1.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/mock-1.2.8-1.fc21

Comment 7 Fedora Update System 2015-04-29 13:18:24 UTC
mock-1.2.8-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/mock-1.2.8-1.fc20

Comment 8 Fedora Update System 2015-04-29 13:19:31 UTC
mock-1.2.8-1.el7 has been submitted as an update for Fedora EPEL 7.
https://admin.fedoraproject.org/updates/mock-1.2.8-1.el7

Comment 9 Fedora Update System 2015-04-29 13:26:08 UTC
mock-1.2.8-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/mock-1.2.8-1.el6

Comment 10 Fedora Update System 2015-04-29 19:19:16 UTC
Package mock-1.2.8-1.el7:
* should fix your issue,
* was pushed to the Fedora EPEL 7 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=epel-testing mock-1.2.8-1.el7'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-EPEL-2015-6057/mock-1.2.8-1.el7
then log in and leave karma (feedback).

Comment 11 Fedora Update System 2015-05-01 16:51:22 UTC
mock-1.2.8-1.fc22 has been pushed to the Fedora 22 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 12 Fedora Update System 2015-05-02 18:09:01 UTC
mock-1.2.8-1.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 13 Kamil Páral 2015-05-05 11:33:02 UTC
This update fixed this bug. Thank you.

Comment 14 Fedora Update System 2015-05-12 20:46:52 UTC
mock-1.2.8-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 15 Fedora Update System 2015-06-04 11:42:31 UTC
mock-1.2.10-1.el7 has been submitted as an update for Fedora EPEL 7.
https://admin.fedoraproject.org/updates/mock-1.2.10-1.el7

Comment 16 Fedora Update System 2015-06-04 11:42:36 UTC
mock-1.2.10-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/mock-1.2.10-1.el6

Comment 17 Fedora Update System 2015-06-20 21:10:07 UTC
mock-1.2.10-1.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 18 Fedora Update System 2015-06-20 21:13:48 UTC
mock-1.2.10-1.el7 has been pushed to the Fedora EPEL 7 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.